[Overview][Constants][Classes][Index] | Reference for unit 'inicol' (#fcl)

# TNamedIniCollection.IndexOfUserData

Search for an item based on it's UserData property

## Declaration

Source position: inicol.pp line 69

`public function TNamedIniCollection.IndexOfUserData(`
`UserData: TObject`
`):Integer;`

## Arguments

`UserData` |  | UserData to search for

## Function result

Index of found item, or -1 if none was found

## Description

IndexOfUserData searches the list of items and returns the index of the item which has UserData in its UserData property. If no such item exists, -1 is returned.

Note that the (linear) search starts at the last element and works it's way back to the first.

## Errors

If no item exists, -1 is returned.

## See also

IndexOfName |  | Search for an item, based on its name, and return its position
TNamedIniCollectionItem.UserData |  | User-defined data

Documentation generated on: Feb 26 2014